VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::VcenterExtensionParams Class Reference

The `VcenterExtensionParams` class specifies that the OVF package should be registered as a vCenter extension. More...

List of all members.

## Public Member Functions
| VcenterExtensionParams ()
| Creates a default new instance.
bool | GetRequired ()
| Whether registration as a vCenter extension is required.
void | SetRequired (bool?required)
| Whether registration as a vCenter extension is required.
bool | GetRegistrationAccepted ()
| Whether registration as a vCenter extension is accepted.
void | SetRegistrationAccepted (bool?registrationAccepted)
| Whether registration as a vCenter extension is accepted.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `VcenterExtensionParams` class specifies that the OVF package should be registered as a vCenter extension.

The virtual machine or virtual appliance will gain unrestricted access to the vCenter Server APIs. It must be connected to a network with connectivity to the vCenter server.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::VcenterExtensionParams::VcenterExtensionParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::VcenterExtensionParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::VcenterExtensionParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::VcenterExtensionParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::VcenterExtensionParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::VcenterExtensionParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::VcenterExtensionParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::VcenterExtensionParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override int vmware::vcenter::ovf::VcenterExtensionParams::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::VcenterExtensionParams::GetRegistrationAccepted | ( |  | ) | `[inline]`

Whether registration as a vCenter extension is accepted.

If registration as a vCenter extension is required (see VcenterExtensionParams.required ), this must be set to true during deployment. Defaults to false when returned from server.

bool vmware::vcenter::ovf::VcenterExtensionParams::GetRequired | ( |  | ) | `[inline]`

Whether registration as a vCenter extension is required.

void vmware::vcenter::ovf::VcenterExtensionParams::SetRegistrationAccepted | ( | bool? | registrationAccepted | ) | `[inline]`

Whether registration as a vCenter extension is accepted.

If registration as a vCenter extension is required (see VcenterExtensionParams.required ), this must be set to true during deployment. Defaults to false when returned from server.

void vmware::vcenter::ovf::VcenterExtensionParams::SetRequired | ( | bool? | required | ) | `[inline]`

Whether registration as a vCenter extension is required.

void vmware::vcenter::ovf::VcenterExtensionParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::VcenterExtensionParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VcenterExtensionParams.cs